# Get transactions for account (deprecated)

Returns a list of transactions tied to a specific account.


The data returned by this endpoint is paginated and subsequent calls using the links provided in response body may be required to retrieve the full data set.


Does a fresh pull from the external provider.

Endpoint: GET /data/v2/consents/{consentId}/accounts/{accountId}/transactions
Version: all
Security: Bearer

## Path parameters:

  - `consentId` (string, required)
    The consent ID for which we want to fetch balance information

  - `accountId` (string, required)
    The account ID for which we want to fetch balance information

## Query parameters:

  - `from` (string)
    Filter from date (Recommended format: yyyy-MM-dd)

  - `to` (string)
    Filter to date (Recommended format: yyyy-MM-dd)

  - `pageId` (string)
    Page Id (Represents an encoded uuid for Next or Prev uris from the bank transaction responses)

## Header parameters:

  - `endUser-Ip` (string)
    The IP address of the end user. If provided will enable unlimited data refreshes for open banking providers that support this feature.

## Response 200 fields (application/json):

  - `links` (object)
    Pagination links to retrieve next/previous portion of data set

  - `links.next` (string)
    Next Uri for the next set of paginated data

  - `links.prev` (string)
    Prev Uri for the previous set of paginated data

  - `data` (array)
    Data payload of the response

  - `data.transactionId` (string)
    Unique transaction id assigned by the provider

  - `data.description` (string)
    A description line for the transaction

  - `data.amount` (number)
    The quantity of money

  - `data.creditDebitIndicator` (string)
    Enum: "Credit", "Debit"

  - `data.status` (string)
    Enum: "Pending", "Booked"

  - `data.transactionCode` (object)

  - `data.transactionCode.code` (string)
    Specifies the family within a domain.

  - `data.transactionCode.subCode` (string)
    Specifies the sub-product family within a specific family.

  - `data.proprietaryTransactionCode` (object)

  - `data.proprietaryTransactionCode.code` (string)
    Proprietary bank transaction code to identify the underlying transaction.

  - `data.proprietaryTransactionCode.issuer` (string)
    Identification of the issuer of the proprietary bank transaction code.

  - `data.bookingDate` (string)
    ISO8601 formatted date string containing the date the transaction is expected to be settled(or did settle)

  - `data.merchantDetails` (object)
    Details of the merchant involved in the transaction.

  - `data.merchantDetails.merchantName` (string)
    Name by which the merchant is known.

  - `data.merchantDetails.merchantCategoryCode` (string)
    Category code conform to ISO 18245, related to the type of services or goods the
merchant provides for the transaction.

  - `data.enrichedData` (object)

  - `data.enrichedData.category` (object)

  - `data.enrichedData.category.id` (integer)

  - `data.enrichedData.category.name` (string)

  - `data.enrichedData.category.confidence` (number)
    Confidence score range: 0.0 - 1.0

  - `data.enrichedData.predictedMerchantName` (string)

  - `meta` (object)
    Meta data detailing a paginated data set

  - `meta.totalPages` (integer)
    If set, indicates the total count of pages of paginated data

## Response 403 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 404 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 502 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

